Loading...
Searching...
No Matches
itk::OpenCLEventList Class Reference

`#include <itkOpenCLEventList.h>`

## Detailed Description

OpenCLEventList class represents a list of OpenCLEvent objects.

See also
  OpenCLEvent

Definition at line 32 of file itkOpenCLEventList.h.

## Public Types

using | OpenCLEventListArrayType = std::vector<cl_event>
using | Self = OpenCLEventList

## Public Member Functions

bool | Contains (const OpenCLEvent &event) const
OpenCLEvent | Get (const std::vcl_size_t index) const
const OpenCLEventListArrayType & | GetEventArray () const
const cl_event * | GetEventData () const
std::vcl_size_t | GetSize () const
bool | IsEmpty () const
| OpenCLEventList ()=default
| OpenCLEventList (const OpenCLEvent &event)
| OpenCLEventList (const OpenCLEventList &other)
OpenCLEventList & | operator+= (const OpenCLEvent &event)
OpenCLEventList & | operator+= (const OpenCLEventList &other)
OpenCLEventList & | operator<< (const OpenCLEvent &event)
OpenCLEventList & | operator<< (const OpenCLEventList &other)
OpenCLEventList & | operator= (const OpenCLEventList &other)
void | Remove (const OpenCLEvent &event)
cl_int | WaitForFinished ()
| ~OpenCLEventList ()

## Private Attributes

OpenCLEventListArrayType | m_Events

## Member Typedef Documentation

## OpenCLEventListArrayType

using itk::OpenCLEventList::OpenCLEventListArrayType = std::vector<cl_event>

Definition at line 38 of file itkOpenCLEventList.h.

## Self

using itk::OpenCLEventList::Self = OpenCLEventList

Standard class typedefs.

Definition at line 36 of file itkOpenCLEventList.h.

## Constructor & Destructor Documentation

## OpenCLEventList() [1/3]

itk::OpenCLEventList::OpenCLEventList | ( |  | ) |

default

Constructs an empty list of OpenCL events.

## OpenCLEventList() [2/3]

itk::OpenCLEventList::OpenCLEventList | ( | const OpenCLEvent & | event | ) |

Constructs a list of OpenCL events that contains event. If event is null, this constructor will construct an empty list.

See also
  Append()

## OpenCLEventList() [3/3]

itk::OpenCLEventList::OpenCLEventList | ( | const OpenCLEventList & | other | ) |

Constructs a copy of other.

See also
  operator=()

## ~OpenCLEventList()

itk::OpenCLEventList::~OpenCLEventList | ( |  | ) |

Destroys this list of OpenCL events.

## Member Function Documentation

## Contains()

bool itk::OpenCLEventList::Contains | ( | const OpenCLEvent & | event | ) | const

Returns true if this event list contains event, false otherwise.

See also
  Get(), Remove()

## Get()

OpenCLEvent itk::OpenCLEventList::Get | ( | const std::vcl_size_t | index | ) | const

Returns the event at index in this event list, or a null OpenCLEvent if index is out of range.

See also
  GetSize(), Contains()

## GetEventArray()

const OpenCLEventListArrayType & itk::OpenCLEventList::GetEventArray | ( |  | ) | const

Returns a const reference to the array of OpenCL events.

See also
  GetSize()

## GetEventData()

const cl_event * itk::OpenCLEventList::GetEventData | ( |  | ) | const

Returns a const pointer to the raw OpenCL event data in this event list; null if the list is empty. This function is intended for use with native OpenCL library functions that take an array of cl_event objects as an argument.

See also
  GetSize()

## GetSize()

std::vcl_size_t itk::OpenCLEventList::GetSize | ( |  | ) | const

inline

Returns the size of this event list.

See also
  IsEmpty(), Get()

Definition at line 70 of file itkOpenCLEventList.h.

## IsEmpty()

bool itk::OpenCLEventList::IsEmpty | ( |  | ) | const

inline

Returns true if this is an empty list, false otherwise.

See also
  GetSize()

Definition at line 62 of file itkOpenCLEventList.h.

## operator+=() [1/2]

OpenCLEventList & itk::OpenCLEventList::operator+= | ( | const OpenCLEvent & | event | ) |

Same as append event.

See also
  Append()

## operator+=() [2/2]

OpenCLEventList & itk::OpenCLEventList::operator+= | ( | const OpenCLEventList & | other | ) |

Same as append event.

See also
  Append()

## operator<<() [1/2]

OpenCLEventList & itk::OpenCLEventList::operator<< | ( | const OpenCLEvent & | event | ) |

Same as append event.

See also
  Append()

## operator<<() [2/2]

OpenCLEventList & itk::OpenCLEventList::operator<< | ( | const OpenCLEventList & | other | ) |

Same as append event.

See also
  Append()

## operator=()

OpenCLEventList & itk::OpenCLEventList::operator= | ( | const OpenCLEventList & | other | ) |

Assigns the contents of other to this object.

## Remove()

void itk::OpenCLEventList::Remove | ( | const OpenCLEvent & | event | ) |

Removes event from this event list.

See also
  Append(), Contains()

## WaitForFinished()

cl_int itk::OpenCLEventList::WaitForFinished | ( |  | ) |

Waits for all of the events in this list to be signaled as finished. The calling thread is blocked until all of the events are signaled. If the list is empty, then this function returns immediately.

See also
  OpenCLEvent::WaitForFinished()

## Field Documentation

## m_Events

OpenCLEventListArrayType itk::OpenCLEventList::m_Events

private

Definition at line 142 of file itkOpenCLEventList.h.

Generated on 1768596610 for elastix by 1.15.0 |